#!/usr/bin/env python

############################################################################
#    Copyright (C) 2004 by                                                 #
#    Petteri Klemola (pzq at users dot sourceforge dot net)                #
#    Tero Kuusela (teroajk at users dot sourceforge dot net)               #
#                                                                          #
#    This program is free software; you can redistribute it and/or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

import pygame
import os
import sys
import re
import string

class Score:
    def __init__(self,name,score):
        self.name=name
        self.score=score

class HighScore:
    "HighScores for Tuxletics"

    def __init__(self):
        self.x=0
    def readScoreFromFile(self):
        """reads games highscores from local file"""

        #read the scores from file to scores list
        scores = []
        num = re.compile('\d+')
        let = re.compile('\D+')
        f = open(os.path.join('data', 'snowballthrow', 'scores'),'r')
        x = 0
        while x < 10:
            line = f.readline()
            linescore = num.findall(line)
            linename = let.findall(line)
            scores.append(Score(linename[0],string.atoi(linescore[0])))
            x +=1
        f.close()

        return scores

    def writeScoreToFile(self,playername,score):
        "writes games highscores to file"

        #read the scores from file to scores list
        scores = []
        num = re.compile('\d+')
        let = re.compile('\D+')
        f = open(os.path.join('data', 'snowballthrow', 'scores'),'r')
        x = 0
        while x < 10:
            line = f.readline()
            linescore = num.findall(line)
            linename = let.findall(line)
            scores.append(Score(linename[0],string.atoi(linescore[0])))
            x +=1
        f.close()

        playerscore = Score(playername,score)
        #sort scores and add new score to list newscores
        newscores = [playerscore]
        for x in scores:
            y = 0
            while y < len(newscores) and y < 10:
                if self.comp(x,newscores[y]) == 0:
                    newscores.insert(y,x)
                    break
                elif y+1 == len(newscores):
                    newscores.append(x)
                    break
                else:
                    y +=1



        #write scores to scores file
        f = open(os.path.join('data', 'snowballthrow', 'scores'),'w')
        x = 0
        while x < 10:
            line = newscores[x].name
            line += str(newscores[x].score)
            line += '\n'
            f.write(line)
            x +=1
        f.close

        placing = newscores.index(playerscore)
        print placing
        return placing

    def comp(self,score1,score2):
        if score1.score <= score2.score:
            return 1
        else:
            return 0
