#!/usr/bin/env python

############################################################################
#    Copyright (C) 2004 by                                                 #
#    Stefan Brockmann (stefankjb at yahoo dot com)                         #
#    Petteri Klemola (pzq at users dot sourceforge dot net)                #
#                                                                          #
#    This program is free software; you can redistribute it and/or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

import pygame
import os
from gfx_functions import *

class Snowball(pygame.sprite.Sprite):
    "SnowBall for snowball thorw game of Tuxletics"

    def __init__(self):
        pygame.sprite.Sprite.__init__(self)

        s = "snowballthrow/snowball.png"
        self.image, self.rect = load_png(s)
        s = "snowballthrow/snowballshadow.png"
        self.shadow_image, self.shadow_rect = load_png(s)


    def update(self, x, y, shadow_y):
        self.rect.move_ip(x - self.rect.left, y - self.rect.top)
        self.shadow_rect.move_ip(x - self.shadow_rect.left, shadow_y - self.shadow_rect.top)

